[arch-commits] Commit in lib32-libelf/repos (2 files)

David Runge dvzrv at archlinux.org
Tue May 11 19:35:25 UTC 2021


    Date: Tuesday, May 11, 2021 @ 19:35:24
  Author: dvzrv
Revision: 930551

archrelease: copy trunk to multilib-testing-x86_64

Added:
  lib32-libelf/repos/multilib-testing-x86_64/
  lib32-libelf/repos/multilib-testing-x86_64/PKGBUILD
    (from rev 930549, lib32-libelf/trunk/PKGBUILD)

----------+
 PKGBUILD |   53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

Copied: lib32-libelf/repos/multilib-testing-x86_64/PKGBUILD (from rev 930549, lib32-libelf/trunk/PKGBUILD)
===================================================================
--- multilib-testing-x86_64/PKGBUILD	                        (rev 0)
+++ multilib-testing-x86_64/PKGBUILD	2021-05-11 19:35:24 UTC (rev 930551)
@@ -0,0 +1,53 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Andrej Gelenberg <andrej.gelenberg at udo.edu>
+
+_name=elfutils
+pkgname=lib32-libelf
+pkgver=0.184
+pkgrel=1
+pkgdesc="Handle ELF object files and DWARF debugging information (libraries) (32-bit)"
+arch=('x86_64')
+url="https://sourceware.org/elfutils/"
+license=('LGPL3' 'GPL3')
+depends=('lib32-curl' 'lib32-bzip2' 'lib32-gcc-libs' 'lib32-xz' 'lib32-zlib'
+'lib32-zstd' "libelf=${pkgver}")
+# NOTE: the shared objects can not be added to provides as they are not versioned
+source=("https://sourceware.org/elfutils/ftp/${pkgver}/elfutils-${pkgver}.tar.bz2"{,.sig})
+options=('staticlibs')
+sha512sums=('5920c354edd6b28bb7e713d674bf6f2221e8ee91b90d582de39b1f45446aea1e7e3d4b6671024c391675b5e7530fe952c1320d730bb625c02d4c647ceb938bc8'
+            'SKIP')
+b2sums=('8e45aa603a039fb128b96a1ffee4a0137fd1808d7087a2ddc8682a9bec1d65a56e6e6ad1419ac5e9f4490cc258c8ac0ee3e49775aab278efb1889bdceaf842bf'
+        'SKIP')
+validpgpkeys=(
+  '47CC0331081B8BC6D0FD4DA08370665B57816A6A' # Mark J. Wielaard <mark at klomp.org>
+  'EC3CFE88F6CA0788774F5C1D1AA44BE649DE760A' # Mark Wielaard <mjw at gnu.org>
+)
+
+build() {
+  cd "${_name}-${pkgver}"
+
+  export CC="gcc -m32"
+  export CXX="g++ -m32"
+  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
+  CFLAGS+=" -g"  # required for test-suite success
+
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --libdir=/usr/lib32 \
+    --disable-debuginfod
+  make
+}
+
+check() {
+  cd "${_name}-${pkgver}"
+  make check || echo "Known problem: The build environment might lack enough resources."
+}
+
+package() {
+  cd "${_name}-${pkgver}"
+
+  make DESTDIR="${pkgdir}" install
+  # remove anything that would conflict with elfutils
+  rm -rf "${pkgdir}/"{etc,usr/{bin,include,share}}
+}



More information about the arch-commits mailing list